End Offer
curl --request DELETE \
--url https://scx-sbx.api.jtl-software.com/v1/seller/offer/end \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offerList": [
{
"channel": "MYBESTDEALCOMDE",
"sellerId": "4711",
"offerId": 5437233,
"channelOfferId": "XCD233554"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/offer/end"
payload = { "offerList": [
{
"channel": "MYBESTDEALCOMDE",
"sellerId": "4711",
"offerId": 5437233,
"channelOfferId": "XCD233554"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offerList: [
{
channel: 'MYBESTDEALCOMDE',
sellerId: '4711',
offerId: 5437233,
channelOfferId: 'XCD233554'
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/offer/end', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "CHN401",
"message": "Not all orders could be processed. 9 out of 10 orders were stored successfully",
"severity": "warning",
"hint": null
}
]
}{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Offer
End Offer
DELETE
/
v1
/
seller
/
offer
/
end
End Offer
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
application/json
List of offer identifiers that should be ended (de-listed) on the marketplace.
Batch of offers to be ended (delisted) on the marketplace.
Required array length:
1 - 5000 elementsShow child attributes
Show child attributes
Response
Call was overall successful but some items can be faulty
Show child attributes
Show child attributes
Example:
[
{
"code": "GEN700",
"message": "Seller SELLER_4711 does not exist on channel kaufland.",
"severity": "error",
"hint": "i9n-order22"
}
]
Was this page helpful?
⌘I